Name: gnome-mlview
Version: 0.6.3
Release: alt1
%define oldname mlview

Summary: MlView - XML Editor for GNOME
Summary(ru_RU.KOI8-R): MlView  XML  GNOME

License: GPL
Group: Editors
Url: http://www.freespiders.org/projects/gmlview/

Packager: Vitaly Lipatov <lav@altlinux.ru>

Source: %oldname-%version.tar.bz2
Source1: %name-%version.ru.po
Source2: %name-16.png
Source3: %name-32.png
Source4: %name-48.png

Patch0: %name-%version-fix.patch

Requires: libxml2 >= 2.6.6
Obsoletes: mlview

# Automatically added by buildreq on Sat May 22 2004
BuildRequires: GConf2 ORBit2-devel XFree86-devel XFree86-libs esound fontconfig freetype2 glib2-devel glibc-devel-static gnome-vfs2-devel hostinfo libGConf2-devel libart_lgpl-devel libatk-devel libbonobo2-devel libbonoboui-devel libeel2-devel libgail-devel libglade2-devel libgnome-devel libgnome-keyring libgnomecanvas-devel libgnomeui-devel libgtk+2-devel libpango-devel libpopt-devel libxml2-devel libxslt-devel pkgconfig zlib-devel

%description
gnome-mlview (Gnome Markup language Viewer) is an XML editor for GNOME.
It include support to view, edit, validate and save xml document by graphical
manipulation the xml Document Object Model.

%description -l ru_RU.KOI8-R
gnome-mlview (Gnome Markup language Viewer) --   XML  GNOME.
  , ,   
 XML ԣ     
 XML.

%prep
%setup -q -n %oldname-%{version}
%patch -p0

cp -f %SOURCE1 po/ru.po

%build
%configure --disable-schemas-install
%make_build

%install 

%makeinstall

#icons entries
%__install -D %SOURCE2 $RPM_BUILD_ROOT%_miconsdir/%name.png
%__install -D %SOURCE3 $RPM_BUILD_ROOT%_iconsdir/%name.png
%__install -D %SOURCE4 $RPM_BUILD_ROOT%_liconsdir/%name.png

%__mkdir_p $RPM_BUILD_ROOT%_menudir
%__cat << EOF > $RPM_BUILD_ROOT%_menudir/%name
?package(%name):command="%name" \\
needs="x11" \\
section="Applications/%group" \\
title="MlView" \\
longtitle="XML Editor" \\
genericname="XML Editor" \\
icon="%name.png" \\
EOF

%__ln_s %_bindir/mlv $RPM_BUILD_ROOT%_bindir/%name

%find_lang %oldname --with-gnome

%post
%update_menus
%update_scrollkeeper

%postun
%clean_menus
%clean_scrollkeeper

%files -f %oldname.lang
%_libdir/*.so*
%_bindir/mlv
%_bindir/%name
%_menudir/%name
%_datadir/%oldname
%config(noreplace) %_sysconfdir/gconf/schemas/*
%_datadir/applications/*
#%_datadir/pixmaps/*
%_iconsdir/*.png
%_iconsdir/mini/*.png
%_iconsdir/large/*.png

%changelog
* Sun Jun 06 2004 Vitaly Lipatov <lav@altlinux.ru> 0.6.3-alt1
- new version; but wait 0.6.4 release if possible
- it release can't create new files; also please save document before exiting

* Sun Nov 30 2003 Vitaly Lipatov <lav@altlinux.ru> 0.6.1-alt1
- new version
- adapted spec

* Thu Sep 11 2003 Vitaly Lipatov <lav@altlinux.ru> 0.6.0-alt1
- new version
- update ru.po

* Tue Jan 07 2003 Vitaly Lipatov <lav@altlinux.ru> 0.0.3-alt0.3.1rc2
- first release for Sisyphus
- new rc2
- add post/postup sections
